require_relative "showmd/preview_generator"

if ARGV.size != 1
  puts "Argument error, showmd only accepts one argument. It must me a path to a markdown file."
else
  file_path = File.join(Dir.pwd, ARGV[0])
  puts "Generating Preview #{file_path}"
  Showmd::PreviewGenerator.new(file_path).generate
end